#!/bin/sh

# Time to make the backups
mkdir -p ~/tnsr-config-backup
sudo cp -p /var/tnsr/running_db ~/tnsr-config-backup/running_db-`date +%Y%m%d%H%M%S`.xml
sudo cp -p /var/tnsr/startup_db ~/tnsr-config-backup/startup_db-`date +%Y%m%d%H%M%S`.xml

# Update all RPMs
sudo dnf -y module disable BaseOS
sudo dnf clean expire-cache
sudo dnf -y upgrade

# Restart TNSR services to ensure a clean and consistent run
sudo tnsrctl restart